Subject: [Simple] Help required regarding Presence Server..........

From: "Ashutosh P - SPAN" <[email-masked]>
Date: Fri, 22 Jul 2005 16:46:55 +0530

All,

A warm HI to all the members of this list from a new member......
I am presently starting to work on the presence server stuff.....
I am using the existing resiprocate stack for presence server.
But before that I want some clarifications related PUBLISH method used in
presence
server implemetation.

I want to use PUBLISH method for publication of presence info.
And SUBSCRIBE & NOTIFY for subscription to presence info.
MY query is:
    Is it that REGISTER should be used before PUBLISH ?
Or I can implement only PUBLISH for both registration and publication?

Also anyone who knows anything about  the above mentioned stack can help me
understand as to
what exactly is implemented in relation to presence server in the stack.

I shall be very thankful for any response.

Thanks & Regards,
    Ashutosh Pattanaik.
SPAN Systems Corporation, Bangalore. 
"Steering Progress, Together" 

=============================================================
This email message  and any  attachments is  confidential and 
intended only  for the use  of an  individual or entity named 
above   and  may  contain  information  that  is  privileged, 
confidential or  exempt from disclosure under applicable law. 
If you are not the intended  recipient, you are notified that 
any  dissemination, distribution  or copying of this email is 
strictly prohibited.If you have received this email in error, 
please   notify   us  immediately    by    return   email  or 
[email-masked] and  destroy the original message. 
Opinions, conclusions, and  other information in this message 
that do not relate to the official business of SPAN, shall be 
understood to be neither given nor endorsed by SPAN.
_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: Jonathan Rosenberg <[email-masked]>
Date: Fri, 22 Jul 2005 09:08:59 -0400

PUBLISH doesn't replace REGISTER (though there are those who have 
proposed that it does, it currently does not). Thus, you need to register.

-Jonathan R.

Ashutosh P - SPAN wrote:

> But before that I want some clarifications related PUBLISH method used 
> in presence
> server implemetation.
>  
> Also anyone who knows anything about  the above mentioned stack can help 
> me understand as to
> SPAN Systems Corporation, Bangalore. "Steering Progress, Together" 
> ============================================================= This email 
> message and any attachments is confidential and intended only for the 
> use of an individual or entity named above and may contain information 
> that is privileged, confidential or exempt from disclosure under 
> applicable law. If you are not the intended recipient, you are notified 
> that any dissemination, distribution or copying of this email is 
> strictly prohibited.If you have received this email in error, please 
> notify us immediately by return email or [email-masked] and 
> destroy the original message. Opinions, conclusions, and other 
> information in this message that do not relate to the official business 
> of SPAN, shall be understood to be neither given nor endorsed by SPAN.
> 
> 
> ------------------------------------------------------------------------
> 

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Director, Service Provider VoIP Architecture   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com

---

From: "Ashutosh P - SPAN" <[email-masked]>
Date: Fri, 22 Jul 2005 19:04:19 +0530

Hi Jonathan,

    Thanks for your reply.
I just want to confirm that for a presence server implemention
I should use the step like...

Register - for registration
Publish - for presence info publication
Subscribe/Notify - for subscripion of presence info of presentity.

means if I am implementing these 4 methods I can have a presence server.
Also can I implement authentication through Digest in PUBLISH , like it is
there in Register?
Please correct me if I a wrong somewhere.......

Regards,
-Ashutosh.

-----Original Message-----
From: Jonathan Rosenberg [mailto:[email-masked]]
Sent: Friday, July 22, 2005 6:39 PM
To: Ashutosh P - SPAN
Cc: [email-masked]
Subject: Re: [Simple] Help required regarding Presence Server..........

-Jonathan R.